The ModelModifiedEvent is when a model has its first non-acknowledged mutation. It is fired when the model currently has not outstanding changes and a change is made. It will not be fired on subsequent consecutive changes unless all changes are first acknowledged.

### Hierarchy

- ModelModifiedEvent

### Implements

- IModelEvent

## Index

### Properties

- name
- src
- NAME

## Properties

### name

name: string = ModelModifiedEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: RealTimeModel

Implementation of IModelEvent.src

The model model that emitted the event.

### StaticNAME

NAME: "modified" = "modified"